ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.FreeRegs

# Documentation

class Show freeRegs => FR freeRegs where Source

Methods

frAllocateReg :: Platform -> RealReg -> freeRegs -> freeRegs Source

frGetFreeRegs :: Platform -> RegClass -> freeRegs -> [RealReg] Source

frInitFreeRegs :: Platform -> freeRegs Source

frReleaseReg :: Platform -> RealReg -> freeRegs -> freeRegs Source

Instances

FR FreeRegs |
FR FreeRegs |
FR FreeRegs |
FR FreeRegs |

maxSpillSlots :: DynFlags -> Int Source